Bug 1264361 - backport upstream bugfix to platform handling links in different netns (IFLA_LINK_NETNSID)
Summary: backport upstream bugfix to platform handling links in different netns (IFLA_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-18 09:58 UTC by Thomas Haller
Modified: 2015-11-19 11:04 UTC (History)
5 users (show)

Fixed In Version: NetworkManager-1.0.6-14.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:04:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Thomas Haller 2015-09-18 09:58:30 UTC
Upstream fixes a bug in platform, and improves handling of links in different netns.

This is related to bug 1255050 and bug 262908.

Backport 3 patches that were merged upstream:
http://cgit.freedesktop.org/NetworkManager/NetworkManager/log/?h=e8f5005d3dfe363a48569cafd262c59708e7ed21

Comment 1 Thomas Haller 2015-09-18 09:59:34 UTC
(In reply to Thomas Haller from comment #0)
> This is related to bug 1255050 and bug 262908.

bug 1262908, of course

Comment 3 Vladimir Benes 2015-10-13 10:55:19 UTC
NM's automation test environment uses veth pairs whose other ends are in a namespace and are bridged together into DHCP server. This environment provides DHCP(4/6) services to devices in the default-namespace. 
Verification as SanityOnly.

Comment 4 errata-xmlrpc 2015-11-19 11:04:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.